edu.sc.seis.sod.subsetter

## Class ScriptUtil

- java.lang.Object
- - edu.sc.seis.sod.subsetter.ScriptUtil

-     public class ScriptUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptUtil(Subsetter subsetter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fail` | `fail()`
    `Fail` | `fail(java.lang.String reason)`
    `Fail` | `fail(java.lang.String reason, java.lang.Throwable exception)`
    `Pass` | `pass()`
    `Pass` | `pass(java.lang.String reason)`
    `WaveformResult` | `waveformResult(boolean result, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seis)`
    `WaveformVectorResult` | `waveformVectorResult(boolean result, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seis)`
    `WaveformVectorResult` | `waveformVectorResult(boolean result, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seisA, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seisB, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seisC)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptUtil

          public ScriptUtil(Subsetter subsetter)

  - ### Method Detail

    - #### pass

          public Pass pass()

    - #### pass

          public Pass pass(java.lang.String reason)

    - #### fail

          public Fail fail()

    - #### fail

          public Fail fail(java.lang.String reason)

    - #### fail

          public Fail fail(java.lang.String reason,
                           java.lang.Throwable exception)

    - #### waveformResult

          public WaveformResult waveformResult(boolean result,
                                               edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seis)

    - #### waveformVectorResult

          public WaveformVectorResult waveformVectorResult(boolean result,
                                                           edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seis)

    - #### waveformVectorResult

          public WaveformVectorResult waveformVectorResult(boolean result,
                                                           edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seisA,
                                                           edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seisB,
                                                           edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seisC)